List VASPs
curl --request GET \
--url https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address/vasps \
--header 'x-auth-token: <api-key>'import requests
url = "https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address/vasps"
headers = {"x-auth-token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-auth-token': '<api-key>'}};
fetch('https://api-sandbox.uqpaytech.com/api/v1/ramp/wallet_address/vasps', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 200,
"message": "Success",
"data": [
{
"vaspCode": "BINANCE",
"vaspName": "Binance",
"identifier": "I1QNLP"
}
]
}Travel Rule
List VASPs
Query the directory of Virtual Asset Service Providers (VASPs) used to populate Travel Rule beneficiary information for hosted wallets. Stablecoin Account API Publisher Disclaimer
GET
/
v1
/
ramp
/
wallet_address
/
vasps
List VASPs
Authorizations
The API token for login provided by UQPAY.
Headers
Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts API. If omitted or empty, the request is executed using the master account.
More information at Connected Accounts.
Query Parameters
Keyword matched against vaspName and identifier
Maximum number of items to return

